import Vue from 'vue'
import App from './App'
import router from './router'
import store from '@/store'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/css/global.css'
import moment from 'moment'
Vue.prototype.$moment = moment
moment.locale('zh-cn')

Vue.use(ElementUI)

Vue.config.productionTip = false

import Router from 'vue-router'

const originalPush = Router.prototype.push
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
// projectId 写入 store
store.commit('setProId', localStorage.getItem('projectId') || 'Pj4419000005')

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
