import Vue from 'vue'
import Vuex from 'vuex'
import storage from '../utils/storage'
import axios from '../utils/axios'

Vue.use(Vuex)
const KEY_LAST_ROUTE = 'last_route'

const store = new Vuex.Store({
  modules: {},
  state: {
    name: '这里是全局的',
    projects: [],
    projectId: 'Pj4419000005',
    comeUrl: '',
    flag: 'wanke',
    token: null,
    lastRoute: null,
    userInfo: {

    },
    formLz:false,
    toiframe:false
  },
  getters: {
    flag: state => state.flag,
    token: state => state.token,
    lastRoute: state => {
      if (!state.lastRoute) {
        let lastRoute = storage.get(KEY_LAST_ROUTE)
        if (lastRoute) {
          state.lastRoute = lastRoute
        }
      }
      return state.lastRoute
    }
  },
  mutations: {
    setProjects(state, projects) {
      state.projects = projects
    },
    setProId(state, projectId) {
      state.projectId = projectId
    },
    setComeUrl(state, comeUrl) {
      state.comeUrl = comeUrl
    },
    setSsoToken: (state, val) => (state.token = val),
    setLastRoute: (state, val) => {
      state.lastRoute = val
      storage.set(KEY_LAST_ROUTE, val)
    },
    setUserInfo(state, {
      userInfo
    }) {
      state.userInfo = userInfo
    },
    setFromLz(state, val) {
      console.log(val,"57");
      state.formLz = val
    },
    setToFromLz(state, val) {
      console.log(val,"58");
      state.toiframe = val
    }
  },
  actions: {
    async loadUserInfo(context, {
      token
    }) {
      let res = await axios.get('/server/userInfo', {
        params: {
          token: token
        }
      })
      if (res.data.result == 'success') {
        // commit 到vuex， 供全局使用
        context.commit('setUserInfo', {
          userInfo: res.data
        })
        context.commit('setProjects', {
          projects: res.data.projects
        })
        localStorage.setItem('token', token)
      } else {
        let ssoServer = 'http://10.199.143.85:7003'
        let redirectUrl = window.location.protocol + '//' + window.location.host + '/auth'
        window.location.href = `${ssoServer}/login?redirectUrl=${redirectUrl}`
      }
    }
  },
})

export default store
