/**
 * 将 类似的时间‘20190910081000’，转化成时间戳
 * @param {String} str eg: 20190910081000
 * @return 时间戳
 */
export function toTimestamp(str) {
    if(str.length !== 14) console.warn('时间格式有误，长度应该为14')
    const arr = str.match(/(\d{4})(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})/)
    return +new Date(arr[1], arr[2], arr[3], arr[4], arr[5], arr[6])
}

/**
 * 将时间戳转化成 类似的时间 ‘20190910081000’
 * @param {Number} timestamp 时间戳
 */
export function timestamp2String(timestamp, wasAddOne = false) {
    const date = new Date(timestamp)
    const year = date.getFullYear()
    const month = add0(wasAddOne ? date.getMonth() : date.getMonth() + 1)
    const day = add0(date.getDate())
    const hours = add0(date.getHours()) 
    const minutes = add0(date.getMinutes())
    const seconds = add0(date.getSeconds())
    return `${year}${month}${day}${hours}${minutes}${seconds}`
}

/**
 * 将 9 变为 ‘09’， 10 变为 ‘10’
 * @param {NUmber, String} num 
 * @returns String
 */
function add0(num) {
    return Number(num) >= 10 ? num : '0' + num
}